
       SUBROUTINE SWAPVAL(A)
!CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
!                                                              c
!      REVERSE ORDER OF BYTES IN INTEGER*2 WORD, or REAL*2     c
!                                                              c
!      <--> A     integer number that to be reversed           c
!                                                              c
!ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc

       INTEGER*2   A
       CHARACTER*1 JTEMP(2)
       CHARACTER*1 KTEMP
       EQUIVALENCE (JTEMP(1),ITEMP)

         ITEMP    = A
         KTEMP    = JTEMP(2)
         JTEMP(2) = JTEMP(1)
         JTEMP(1) = KTEMP
         A     = ITEMP
       RETURN
       END



